Attribute VB_Name = "modBLT"
Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Declare Function CreateCompatibleBitmap Lib "gdi32" (ByVal hdc As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Declare Function DeleteDC Lib "gdi32" (ByVal hdc As Long) As Long
Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long


Dim MemHdc() As Long
Dim BitMapHdc() As Long
Dim TrashbmpHdc() As Long
Dim NumOfDcs As Integer

Type tObject
hdc As Long
Left As Integer
Top As Integer
Width As Integer
Height As Integer
End Type

Public Const SRCAND = &H8800C6
Public Const SRCCOPY = &HCC0020
Public Const SRCINVERT = &H660046


Function CreateMemHdc(ScreenHdc As Long, Width As Integer, Height As Integer) As Long

ReDim Preserve MemHdc(NumOfDcs)
ReDim Preserve BitMapHdc(NumOfDcs)
ReDim Preserve TrashbmpHdc(NumOfDcs)

MemHdc(NumOfDcs) = CreateCompatibleDC(ScreenHdc)
If MemHdc(NumOfDcs) Then
  BitMapHdc(NumOfDcs) = CreateCompatibleBitmap(ScreenHdc, Width, Height)
  If BitMapHdc(NumOfDcs) Then
    TrashbmpHdc(NumOfDcs) = SelectObject(MemHdc(NumOfDcs), BitMapHdc(NumOfDcs))
    CreateMemHdc = MemHdc(NumOfDcs)
  End If
End If
NumOfDcs = NumOfDcs + 1
End Function

Sub LoadBmpToHdc(MHdc As Long, FileN As String)
Dim OrgBmp As Long
OrgBmp = SelectObject(MHdc, LoadPicture(FileN))
If OrgBmp Then
  DeleteObject (OrgBmp)
End If
End Sub

Sub DestroyHdcs()
Dim i As Integer
For i = 0 To NumOfDcs - 1
  BitMapHdc(i) = SelectObject(MemHdc(i), TrashbmpHdc(i))
  DeleteObject (BitMapHdc(i))
  DeleteDC (MemHdc(i))
Next i
End Sub

